//+------------------------------------------------------------------+
//|                                         discreteDistribution.mq5 |
//|                                                           denkir |
//|                                                 denkir@gmail.com |
//+------------------------------------------------------------------+
#property copyright "denkir"
#property link      "denkir@gmail.com"
#property version   "1.00"

#property script_show_inputs

#include <Distribution_class.mqh>
#include <DistributionFigure_class.mqh>
#import "shell32.dll"
int ShellExecuteW(int hwnd,string lpOperation,string lpFile,string lpParameters,
                  string lpDirectory,int nShowCmd);
#import
//+------------------------------------------------------------------+
//|                     Input variables                              |
//+------------------------------------------------------------------+

input Dist_type dist=10;  //Distribution Type
input Dist_mode distM;    //Distribution Mode
input double mm=100.,     //n
ss=0.5;                   //p
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   if(dist!=10 && dist!=11)
      Alert("No Discrete Distribution!");
   double Xx1,Xx2,st=1.;
   int nn;
   if(dist==10)
     {
      Xx1=NormalizeDouble(mm*ss-0.85*mm*ss,0);
      Xx2=NormalizeDouble(mm*ss+0.85*mm*ss,0);
     }
   else
     {
      Xx1=NormalizeDouble(mm-0.85*mm,0);
      Xx2=NormalizeDouble(mm+0.85*mm,0);
     }
//---
   CDistributionFigure F;
   F.setDistribution(dist,distM,Xx1,Xx2,st);
   F.calculateDistribution(nn,mm,ss);
   F.filesave();
   string path=TerminalInfoString(TERMINAL_DATA_PATH)+"\\MQL5\\Files\\Distribution_function_discr.htm";
   ShellExecuteW(NULL,"open",path,NULL,NULL,1);
  }
//+------------------------------------------------------------------+
